biometric-authentication (0.9.63kord3~rc20-ok11) nile; urgency=medium

  * Fix biometric_common implict error. 

 -- liwenjun <liwenjun@kylinos.cn>  Fri, 09 Aug 2024 11:01:22 +0800

biometric-authentication (0.9.63kord3~rc20-ok10) nile; urgency=medium

  * Fix implicit error. 

 -- liwenjun <liwenjun@kylinos.cn>  Fri, 09 Aug 2024 10:08:55 +0800

biometric-authentication (0.9.63kord3~rc20-ok9.1) nile; urgency=medium

  * update changelog 

 -- liwenjun <liwenjun@kylinos.cn>  Thu, 08 Aug 2024 14:51:25 +0800

biometric-authentication (0.9.63kord3~rc20-ok9) nile; urgency=medium

  * Fix biometric-config-tool multiple definition.

 -- liwenjun <liwenjun@kylinos.cn>  Thu, 08 Aug 2024 11:20:43 +0800

biometric-authentication (0.9.63kord3~rc20-ok9) nile; urgency=medium

  * BUG号：无
  * 需求号：无
  * 其他修改说明：更新哈维柯翻译
  * 其他改动影响域：无

 -- Kevin Duan <duankaiwen@kylinos.cn>  Sun, 05 May 2024 23:14:05 +0800

biometric-authentication (0.9.63kord3~rc20-ok8) nile; urgency=medium

  * BUG号：无
  * 需求号：无
  * 其他修改说明：更新哈维柯翻译
  * 其他改动影响域：无

 -- Kevin Duan <duankaiwen@kylinos.cn>  Sun, 05 May 2024 23:14:05 +0800

biometric-authentication (0.9.63kord3~rc20-ok7) nile; urgency=medium

  * BUG号：I8ZWJF【次要【X】 【登录选项】绑定微信，注销系统后再登录显示未绑定微信，点击绑定按钮关闭窗口恢复
  * 需求号：无
  * 其他修改说明：无
  * 其他改动影响域：无

 -- wangweiran <wangweiran@kylinos.cn>  Fri, 08 Mar 2024 14:43:33 +0800

biometric-authentication (0.9.63kord3~rc20-ok6) nile; urgency=medium

  * BUG号：无
  * 需求号：无
  * 其他修改说明：增加哈、维、柯、繁、藏、蒙、德、西、法多语言支持

 -- wangweiran <wangweiran@kylinos.cn>  Mon, 13 Nov 2023 14:08:36 +0800

biometric-authentication (0.9.63kord3~rc20-ok5) yangtze; urgency=medium

  * BUG号：187847 biometric-authentication 源码含有ubuntu信息
  * 需求号：无
  * 其他修改说明：无

 -- wangweiran <wangweiran@kylinos.cn>  Wed, 24 May 2023 16:23:01 +0800

biometric-authentication (0.9.63kord3~rc20-ok4) yangtze; urgency=medium

  * BUG号：I73JBA 指纹录入个数未设置上限
          I64OJW 中文环境下，录入指纹界面提示英文
  * 需求号：无
  * 其他修改说明：无

 -- wangweiran <wangweiran@kylinos.cn>  Wed, 24 May 2023 16:23:01 +0800

biometric-authentication (0.9.63kord3~rc20-ok3) yangtze; urgency=medium

  * BUG号：I6FVG4 无法打开生物特征管理工具，提示"服务未启动"
          I64OJW 中文环境下，录入指纹界面提示英文
  * 需求号：无
  * 其他修改说明：无

 -- wangweiran <wangweiran@kylinos.cn>  Wed, 19 Apr 2023 10:42:54 +0800

biometric-authentication (0.9.63kord3~rc20-ok2) yangtze; urgency=medium

  * Fix build error

 -- Kevin Duan <duankaiwen@kylinos.cn>  Wed, 08 Jun 2022 10:55:32 +0800

biometric-authentication (0.9.63kord3~rc20-ok1) yangtze; urgency=medium

  * fix build error

 -- Xie Wei <xiewei@kylinos.cn>  Tue, 07 Jun 2022 18:12:53 +0800

biometric-authentication (0.9.63kord3~rc20-0k0) v101; urgency=medium

  * 修改为quilt格式

 -- Xie Wei <xiewei@kylinos.cn>  Thu, 02 Jun 2022 18:56:02 +0800

biometric-authentication (0.9.63kord3~rc20) v101; urgency=medium

  * Bug号：无
  * 需求号：无
  * 其他修改：增加获取全部特征值的接口

 -- wangweiran <wangweiran@kylinos.cn>  Mon, 14 Mar 2022 11:24:16 +0800

biometric-authentication (0.9.63kord3~rc19) v101; urgency=medium

  * Bug号：无
  * 需求号：无
  * 其他修改：修改插拔后显示两个设备的问题，修复biometric-auth-client的使用报错问题

 -- wangweiran <wangweiran@kylinos.cn>  Fri, 11 Mar 2022 15:24:57 +0800

biometric-authentication (0.9.63kord3~rc18) v101; urgency=medium

  * Bug号：无
  * 需求号：无
  * 其他修改：修改亚略特指纹仪弹窗重复的问题

 -- heyuanzhe <heyuanzhe@kylinos.cn>  Tue, 25 Jan 2022 13:56:00 +0800

biometric-authentication (0.9.63kord3~rc17) v101; urgency=medium

  * Bug号：无
  * 需求号：无
  * 其他修改：区分录入与验证时视频透传的信号

 -- wangweiran <wangweiran@kylinos.cn>  Tue, 04 Jan 2022 14:03:19 +0800

biometric-authentication (0.9.63kord3~rc16) v101; urgency=medium

  * Bug号：无
  * 需求号：无
  * 其他修改：修改微信扫码认证时的polkit提权验证信息，修正biometric-auth-client内建指令的汉化

 -- wangweiran <wangweiran@kylinos.cn>  Mon, 20 Dec 2021 09:04:25 +0800

biometric-authentication (0.9.63kord3~rc15) v101; urgency=medium

  * Bug号：无
  * 需求号：无
  * 其他修改：增加通用摄像头热插拔的检测条件

 -- wangweiran <wangweiran@kylinos.cn>  Thu, 09 Dec 2021 16:35:30 +0800

biometric-authentication (0.9.63kord3~rc14) v101; urgency=medium

  * Bug号：无
  * 需求号：无
  * 其他修改：增加通用摄像头热插拔的检测条件

 -- wangweiran <wangweiran@kylinos.cn>  Mon, 29 Nov 2021 15:57:30 +0800

biometric-authentication (0.9.63kord3~rc13) v101; urgency=medium

  * Bug号：无
  * 需求号：无
  * 其他修改：增加远程账号，安全管控，ukey的生物特征类型，移植定制版本中的ukey部分到该版本代码。
00    
 -- wangweiran <wangweiran@kylinos.cn>  Mon, 01 Nov 2021 12:27:51 +0800

biometric-authentication (0.9.63kord3~rc12) v101; urgency=medium

  * Bug号：无
  * 需求号：无
  * 其他修改：在框架中增加生物特征列表改变的信号

 -- guqijing <guqijing@kylinos.cn>  Wen, 01 Sep 2021 17:23:54 +0800


biometric-authentication (0.9.63kord3~rc11) v101; urgency=medium

  * Bug号：75310 人脸识别通用驱动无法响应热插拔的问题
  * 需求号：无
  * 其他修改：无

 -- wangweiran <wangweiran@kylinos.cn>  Thu, 26 Aug 2021 19:13:49 +0800

biometric-authentication (0.9.63kord3~rc10) v101; urgency=medium

  * Bug号：无
  * 需求号：#7470 增加框架对视频透传能力的支持
  * 其他修改：修复框架部分结构体变化对驱动造成的影响

 -- liuyang <liuyang@kylinos.cn>  Tue, 17 Aug 2021 09:13:47 +0800

biometric-authentication (0.9.63kord3~rc9) v101; urgency=medium

  * Bug号：无
  * 需求号：#7470 增加框架对视频透传能力的支持
  * 其他修改：无

 -- liuyang <liuyang@kylinos.cn>  Sun, 15 Aug 2021 11:02:18 +0800

biometric-authentication (0.9.63kord3~rc8) v101; urgency=medium

  * Bug号：无
  * 需求号：无
  * 其他修改：配合性能优化修改，取消biometric-authentication服务在lightdm前拉起

 -- liuyang <liuyang@kylinos.cn>  Thu, 08 Jul 2021 15:15:20 +0800

biometric-authentication (0.9.63kord3~rc7) v101; urgency=medium

  * BugFix: bug in fix optimize startup time
    问题修复：修复优化服务拉起时间时引入的bug

 -- liuyang <liuyang@kylinos.cn>  Wed, 09 Jun 2021 20:46:03 +0800
 
biometric-authentication (0.9.63kord3~rc6) v101; urgency=medium

  * Optimize service startup time via disable all drivers and modify initial logic
    通过默认禁用所有驱动和修改初始化逻辑来优化服务拉起时间

 -- liuyang <liuyang@kylinos.cn>  Tue, 08 Jun 2021 09:13:34 +0800

biometric-authentication (0.9.63kord3~rc5) v101.hw; urgency=medium

  * Bug号：57308-990/9A0
  * 需求号：无
  * 其他修改：无

 -- chenziyi <chenziyi@kylinos.cn>  Wed, 26 May 2021 16:12:50 +0800

biometric-authentication (0.9.63kord3~rc4) v101; urgency=medium

  * BugFix:UD650 finger vein and A201 iris cannot search multiple content
    问题修复：ud650指静脉和a201虹膜不能搜索出多个内容

 -- chenziyi <chenziyi@kylinos.cn>  Mon, 15 Mar 2021 09:39:00 +0800

biometric-authentication (0.9.63kord3~rc3) v101; urgency=medium

  * Optimize fingerprint r301 to drive human-computer interaction prompt
    优化指纹r301驱动人机交互提示

 -- chenziyi <chenziyi@kylinos.cn>  Sat, 13 Mar 2021 13:59:17 +0800

biometric-authentication (0.9.63kord3~rc2) v101; urgency=medium

  * BugFix:enroll iris timeout reminder
    问题修复：录入虹膜超时提醒
  * BugFix:The iris interface is not completely Chinese
    问题修复：虹膜界面未全部汉化

 -- chenziyi <chenziyi@kylinos.cn>  Fri, 05 Mar 2021 19:14:18 +0800

biometric-authentication (0.9.63kord3~rc1) v101; urgency=medium

  * Fix some code bugs
  * 修复部分代码漏洞

 -- chenziyi <chenziyi@kylinos.cn>  Wed, 24 Feb 2021 10:29:42 +0800

biometric-authentication (0.9.63kord2) v101; urgency=medium

  * Add read and write extended attribute function
  * 增加可读可写扩展属性功能

 -- chenziyi <chenziyi@kylinos.cn>  Tue, 19 Jan 2021 19:16:37 +0800

biometric-authentication (0.9.63kord1) v101; urgency=medium

  * Add read-only extended attribute function
    增加只读扩展属性功能

  * Add progress display function signal
    增加进度显示功能信号

 -- chenziyi <chenziyi@kylinos.cn>  Thu, 31 Dec 2020 17:35:31 +0800

biometric-authentication (0.9.62kord3) v101; urgency=medium

  * BugFix:can not open PID file
    问题修复：不能打开PID文件

 -- chenziyi <chenziyi@kylinos.cn>  Sat, 12 Dec 2020 10:04:11 +0800

biometric-authentication (0.9.62kord2) v101; urgency=medium

  * Add a210 iris device detection tool

 -- chenziyi <chenziyi@kylinos.cn> Sat, 24 Oct 2020 16:22:44 +0800

biometric-authentication (0.9.62kord1) v100; urgency=medium

  * Add comments

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Sat, 23 May 2020 15:32:16 +0800

biometric-authentication (0.9.62kord) juniper; urgency=medium

  * The r301 discover tool detection is extended to all tty
  * Clean up the automatically generated configuration files after purge.
    - config file:
      /etc/biometric-auth/biometric-drivers.conf
      /home/every_user/.biometric_auth/UUID
    - database file:
      /var/lib/biometric-auth/biometric.db
  * Add alternate init script
  * Modify the description information when a dbus error
  * Remove redundant configuration file:
    - /etc/biometric-auth/biometric-auth.conf


 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Mon, 16 Sep 2019 09:38:41 +0800

biometric-authentication (0.9.61kord1) juniper; urgency=medium

  * BugFix: community-multidevice driver contains R301 driver's file

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Sat, 22 Dec 2018 12:26:35 +0800

biometric-authentication (0.9.61kord) juniper; urgency=medium

  * BugFix:
    - biometric-auth-client does not define 'DBUS_OPS_TIMEOUT'
    - community-multidevice driver missing discover tools
  * Implement the CFB mode of AES algorithm and replace the interface using openssl
    - OpenSSL's license is not compatible with GPL or LGPL, remove it
  * Fix lintian warning and error
    - Add the "bindnow" linker flag to the ELF binary
    - Change the configuration file to the configuration template file

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Tue, 11 Dec 2018 17:00:43 +0800

biometric-authentication (0.9.60kord1) juniper; urgency=medium

  * Add initialization notify message for community-multidevice driver

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Fri, 09 Nov 2018 09:24:15 +0800

biometric-authentication (0.9.60kord) juniper; urgency=medium

  * 0.9.60 Release
  * Bug fix:
    * Error in content caused by incorrect driver information.
    * The interface timeout period is too short, resulting in an abnormal
      interrupt of the interaction process.
  * Update the service output information and Po file
    * Update the warning information when getting the UID exception
    * Update some inaccurate Chinese translations

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Wed, 07 Nov 2018 14:16:55 +0800

biometric-authentication (0.9.59kord5) juniper; urgency=medium

  * Enhancement: biometric-auth-client adds API check functionality
  * Optimize the biometric-auth-client interaction
    - The index scope can be omitted when using the search operation.
    - The default search range is all features.
    - Update the manpage of biometric-auth-client
  *  Update the translation of biometric-auth-client

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Sat, 29 Sep 2018 11:25:33 +0800

biometric-authentication (0.9.59kord4) juniper; urgency=medium

  * BugFix: biometric-authentication's policykit uses incorrect permissions
  * Strips the debian versions from libbiometric0.symbols
  * Regulate python script's build and run depends
  * Update DRV_API to 0.10.2 and APP_API to 0.11.1 in debian/rules

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Thu, 27 Sep 2018 16:53:52 +0800

biometric-authentication (0.9.59kord3) juniper; urgency=medium

  * BugFix: biometric-authentication's policykit uses incorrect permissions

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Thu, 27 Sep 2018 15:48:33 +0800

biometric-authentication (0.9.59kord2) juniper; urgency=medium

  * BugFix: bio_common_get_empty_index gets index exception
    - Fix the bug that the function bio_common_get_empty_index parameter
      start is invalid

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Thu, 27 Sep 2018 15:26:25 +0800

biometric-authentication (0.9.59kord1) juniper; urgency=medium

  * The biometrial-auth-client migrated from python2 to python3

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Thu, 27 Sep 2018 15:15:23 +0800

biometric-authentication (0.9.59kord) juniper; urgency=medium

  * New feature: Add command line client
    - biometric-auth-client The command line client of the biometric
      identification framework service

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Thu, 27 Sep 2018 13:37:58 +0800

biometric-authentication (0.9.58kord) juniper; urgency=medium

  * New features: Framework automatically assigns the free index
    - Add new interface: bio_common_get_empty_index
    - Framework automatically assigns the free index
    - Upgrade DRV_API to 0.10.2
    - Upgrade APP_API to 0.11.1
  * SecurityHoleFix: community-multidevice driver will leak AES Key
  * Update debian/changelog and configure.ac to version 0.9.58

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Wed, 26 Sep 2018 18:32:41 +0800

biometric-authentication (0.9.57kord) juniper; urgency=medium

  * BugFix: The bindnow compilation of libbiometric.so does not take effect
  * Upgrade the compile environment to GTK3
  * Add compilation mode to README

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Wed, 26 Sep 2018 15:20:03 +0800

biometric-authentication (0.9.56kord) juniper; urgency=medium

  * BugFix: Configuration residues after biometric-driver-community-multidevice
    uninstalling
    - When uninstalling the biometric-driver-community-multidevice package,
      drivers are not removed from the configuration file.

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Wed, 26 Sep 2018 09:18:22 +0800

biometric-authentication (0.9.55kord1) juniper; urgency=medium

  * Increase key security
    - Due to the biometric-drivers.conf file permissions of 0644, the key
      is not secure.
    - Now change the meaning of the AESKey field to specify the key file path
      and key security is guaranteed by the key file's permissions (0600)

  * Fix the following compilation related bugs
    - After executing autogen.sh, a partial compilation script was missing
    - The bio-xxx variable value is incorrect when the --with-xxx parameter
      is not specified
    - The installation path for R301 and A210 is one more '/' character,
      causing install to fail

  * BugFix: The bindnow compilation of community multidevice driver does not
    take effect

  * Fixed spelling and compilation parameter errors

  * Add some descriptive information

  * Update Chinese translation

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Tue, 18 Sep 2018 11:25:03 +0800

biometric-authentication (0.9.55kord) juniper; urgency=medium

  * The driver configuration file rename to biometric-drivers.conf
  * Add the determination of whether the key value exists for the
    biometric-config-tool
  * Encrypt the characteristic value of community multidevice drivers

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Thu, 06 Sep 2018 14:42:16 +0800

biometric-authentication (0.9.54kord) juniper; urgency=medium

  * Modify kylin to ukui

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Mon, 03 Sep 2018 17:33:09 +0800

kylin-biometric-authentication (0.9.53kord) juniper; urgency=medium

  * Add community multidevice driver and discover tools  
    - Add community multidevice driver
    - Add community multidevice discover tools

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Fri, 31 Aug 2018 17:29:47 +0800

kylin-biometric-authentication (0.9.52kord) juniper; urgency=medium

  * Modify the database default permissions to improve security
  * BugFix: Missing "org.freedesktop.policykit.pkexec.biometric-authentication
            .policy" file
  * Add manpages for the biometric-utils package
  * Use libtool to compile libbiometric
  * Frameworks, a210 driver, and R301 driver add support for all architectures
  * Add the debug package for the drivers(ud650, a210, r301)
  * Add Copyright
  * Add external interface instructions and adjust code block order
  * Solve the lintian related problems:
    - maintainer-script-lacks-debhelper-token
    - maintainer-script-calls-systemctl

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Fri, 31 Aug 2018 15:29:16 +0800

kylin-biometric-authentication (0.9.51kord1) juniper; urgency=medium

  * BugFix: The service's systemd logs are incomplete
  * BugFix: Policykit description and message internationalization is invalid
  * Features: Add the policykit description for the biometric-config-tool

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Mon, 20 Aug 2018 15:28:39 +0800

kylin-biometric-authentication (0.9.50kord) juniper; urgency=medium

  * Modify database format and add database upgrade function
    - Add the UUID field in the EIGEN_INFO table
    - Add database version detection function
    - Add database format upgrade function
  * Improve the robustness of data migration
    - Use transaction mode to migrate data so that it can be rollback when it fails
    - Back up the original EIGEN_INFO table to EIGEN_INFO_VERSION_0_0_0
  * Add new constraints when getting and storing features: UUID

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Wed, 15 Aug 2018 14:10:28 +0800

kylin-biometric-authentication (0.9.49kord) juniper; urgency=medium

  * New function: Service running environment detection
    - Detect whether the service has permissions;
    - Detect whether the service is running repeatedly;

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Tue, 17 Jul 2018 11:22:14 +0800

kylin-biometric-authentication (0.9.48kord) juniper; urgency=medium

  * Add timestamps for three types of messages
    - Interface of change: UpdateStatus, GetDevMesg, GetOpsMesg, GetNotifyMesg
    - Timestamp type: struct timeval (sys/time.h)
    - The APP_API is upgraded to 0.11.0

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Mon, 16 Jul 2018 15:05:32 +0800

kylin-biometric-authentication (0.9.47kord) juniper; urgency=medium

  * Bug Fix: Fix the clean operation's ops_result value wrong
    - OPS_CLEAN_xxx starts at OPS_TYPE_CLEAN * 100, not OPS_TYPE_CLEAN
  * Enhancement: Add type definitions
    - Add a definition for the sound print: BioT_VoicePrint
    - Add two bus type definitions: BusT_Any and BusT_Other

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Tue, 10 Jul 2018 16:16:35 +0800

kylin-biometric-authentication (0.9.46kord) juniper; urgency=medium

  * Bug Fix: The driver ID that the driver dynamically
    gets is no longer 100 forever

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Tue, 03 Jul 2018 14:42:02 +0800

kylin-biometric-authentication (0.9.45kord) juniper; urgency=medium

  * Enhancement: Improve the get_feature_info operation speed
  * New features: Add dbus signal for hot pluggable events
  * Bug Fix: Dev_num is changed to 0 when the finger vein
    device does not exist
  * Upgrade DRV_API and APP_API

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Fri, 01 Jun 2018 16:49:11 +0800

kylin-biometric-authentication (0.9.44kord) juniper; urgency=medium

  * Fix: hot plug and unplug USB device caused segmentation fault
  * When the device is disabled, hot plug and unplug no longer
    discover device
  * Update the output of the driver list and device list

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Fri, 25 May 2018 15:32:59 +0800

kylin-biometric-authentication (0.9.43kord) juniper; urgency=medium

  * Add a new dbus return value: RetOpsNoMatch
    - RetOpsNoMatch indicates that there are no errors in the
      verify and identity operations and the results do not match
    - Modify the return value of verify and identity
      * The process is normal and the result matches,
        return -RetOpsSuccess(0);
      * The process is normal and the results do not match,
        return -RetOpsNoMatch(-1);
  * Update po file
  * Update the APP_API version number
  * Add the debug package

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Thu, 24 May 2018 17:10:37 +0800

kylin-biometric-authentication (0.9.42kord) juniper; urgency=medium

  * Temporarily remove the soname
  * New features: add the ability to dynamically get the driver ID
  * Add BioOpsType to enumerate each type of operation
  * New features: Add driver operation check function for the framework
  * Enhancement: The search method returns all matching features
  * The framework adds a judgment on whether the device is enabled
  * Normalize the return value of the dbus
  * Adjust the DRV_API and APP_API version Numbers for the upcoming official version

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Tue, 22 May 2018 16:39:22 +0800

kylin-biometric-authentication (0.9.41kord1k) juniper; urgency=medium

  * New features: The framework adds support for the ID table (USB and PCIe
    device)

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Fri, 11 May 2018 14:47:29 +0800

kylin-biometric-authentication (0.9.40kord) juniper; urgency=medium

  * New features: Add compatibility checking mechanism
    - When the driver is loading, the framework checks the compatibility of
      driver's DRV_API version and framework's DRV_API version
    - Add a new DBus interface to check the compatibility of
      application's APP_API version and framework's APP_API version

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Wed, 14 Mar 2018 15:42:51 +0800

kylin-biometric-authentication (0.9.39kord) juniper; urgency=medium

  * New function: Add device count function
    - Biometric framework add device count function
    - R301, UD650 and A210 driver add device count function
  * Bug fix: when a driver fails to load, subsequent drivers cannot be loaded

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Tue, 13 Mar 2018 14:19:27 +0800

kylin-biometric-authentication (0.9.38kord) juniper; urgency=medium

  * New features:
    - Add device node detection mechanism for serial device
    - Add device node detection tool for r301 device

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Wed, 07 Mar 2018 10:46:04 +0800

kylin-biometric-authentication (0.9.37kord) juniper; urgency=medium

  * New features:
    - Add an interface "GetDrvList" to get the driver list
    - Add an interface "bio_common_detect_usb_device" to detect usb device
    - Add the rename feature interface
  * Standardize Makefile.am
    - Fix biometric-authenticationd.h and biometric-authenticationd.c
      compilation dependencies
    - Removes automatically generated interface files
    - Standardize driver link process
    - Standardize extra driver clean process

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Fri, 19 Jan 2018 14:57:18 +0800

kylin-biometric-authentication (0.9.36kord1) juniper; urgency=medium

  * Modify runtime depends:
    - remove debhelper (>= 9)

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Wed, 03 Jan 2018 13:44:08 +0800

kylin-biometric-authentication (0.9.36kord) juniper; urgency=medium

  * Fix the set-key instruction for the biometric-config-tool in the absence
    of driver name
  * Fix Repair the Chinese translation text of biometric-config-tool

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Fri, 24 Nov 2017 15:23:44 +0800

kylin-biometric-authentication (0.9.35kord) juniper; urgency=medium

  * Clean interface bug fix and enhancements
    - Bug fix: The device driver is not specified when the feature is deleted
    - Enhancements: System level cleaning of the specified range of biometric
      features (all drivers, for kylin-control-center)

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Fri, 24 Nov 2017 15:04:09 +0800

kylin-biometric-authentication (0.9.34kord) juniper; urgency=medium

  * The function interface is placed by type,
  * Enhanced code readability and logic:
    - ops_status series function is changed to ops_result
    - notify_status series function is changed to notify_mid

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Fri, 24 Nov 2017 11:09:26 +0800

kylin-biometric-authentication (0.9.33kord1) juniper; urgency=medium

  * Modify the postinst script, all the serial port device drivers are not
    enabled by default
    - Affected driver: R301 fingerprint driver, A210 iris driver

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Wed, 22 Nov 2017 10:19:56 +0800

kylin-biometric-authentication (0.9.33kord) juniper; urgency=medium

  * Fix bug: General users enroll/delete their own biometric feature need
    administrator privileges
    - General users now use their own permissions
    - Modify PolicyKit prompt information

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Tue, 14 Nov 2017 15:18:38 +0800

kylin-biometric-authentication (0.9.32kord) juniper; urgency=medium

  * A210 drivers add internationalization support

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Fri, 10 Nov 2017 15:07:38 +0800

kylin-biometric-authentication (0.9.31kord) juniper; urgency=medium

  * biometric-config-tool add internationalization support

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Wed, 08 Nov 2017 16:32:28 +0800

kylin-biometric-authentication (0.9.30kord) juniper; urgency=medium

  * Fixed UD650 driver: when the operation is interrupted by user, the
    status prompt is abnormal
  * Add a return value of dbus for PolicyKit cancel

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Thu, 02 Nov 2017 16:42:11 +0800

kylin-biometric-authentication (0.9.29kord) juniper; urgency=medium

  * Revise the document field to adapt qdbusxml2cpp

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Mon, 30 Oct 2017 09:09:05 +0800

kylin-biometric-authentication (0.9.28kord) juniper; urgency=medium

  * PolicyKit add internationalization support
  * Fixed: libbiometric package missing translation file

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Wed, 25 Oct 2017 14:36:35 +0800

kylin-biometric-authentication (0.9.27kord) juniper; urgency=medium

  * R301 and UD650 drivers add internationalization support

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Wed, 25 Oct 2017 11:48:11 +0800

kylin-biometric-authentication (0.9.26kord) juniper; urgency=medium

  * Update A210 driver, improve enroll, verify, identify and search function

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Tue, 17 Oct 2017 16:29:15 +0800

kylin-biometric-authentication (0.9.25kord) juniper; urgency=medium

  * The biometric framework adds internationalization support

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Fri, 13 Oct 2017 14:13:16 +0800

kylin-biometric-authentication (0.9.24kord) juniper; urgency=medium

  * New functionality: when device status changes, emit signal

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Mon, 09 Oct 2017 15:55:37 +0800

kylin-biometric-authentication (0.9.23kord1) juniper; urgency=medium

  * When /etc/biometric-auth/biometric-auth.conf is not exist, create it.

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Wed, 20 Sep 2017 08:57:01 +0800

kylin-biometric-authentication (0.9.23kord) juniper; urgency=medium

  * Add utils: biometric-config-tool

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Tue, 19 Sep 2017 14:37:17 +0800

kylin-biometric-authentication (0.9.22kord) juniper; urgency=medium

  * Add iris driver: a210

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Tue, 19 Sep 2017 11:34:26 +0800

kylin-biometric-authentication (0.9.21kord2) juniper; urgency=medium

  * Add "automake" and "libpolkit-gobject-1-dev" to "Build-Depends".

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Mon, 28 Aug 2017 16:42:33 +0800

kylin-biometric-authentication (0.9.21) juniper; urgency=medium

  * Add polkit authentication for Enroll and Clean DBus.

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Mon, 28 Aug 2017 15:49:41 +0800

kylin-biometric-authentication (0.9.20) juniper; urgency=medium

  * biometric-authentication.service autostart

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Fri, 25 Aug 2017 15:55:35 +0800

kylin-biometric-authentication (0.9.19) juniper; urgency=medium

  * Fix: biometric-authentication.service for systemd missing

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Tue, 08 Aug 2017 15:06:07 +0800

kylin-biometric-authentication (0.9.18kord) juniper; urgency=medium

  * Remove unsupport architecture: i386, armhf;
  * Add pkg-config support and static libraries;

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Mon, 17 Jul 2017 10:06:17 +0800

kylin-biometric-authentication (0.9.17kord) juniper; urgency=medium

  * Initial release.

 -- jianglinxuan (droiing) <jianglinxuan@kylinos.cn>  Mon, 13 Mar 2017 15:30:13 +0800
